Bug 142751 - pmap truncates filenames of mappings
pmap truncates filenames of mappings
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: procps (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Brian Brock
:
Depends On:
Blocks: 137160
  Show dependency treegraph
 
Reported: 2004-12-13 15:35 EST by Joe Orton
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2005-160
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-09 08:53:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add "-a" option that allows users to output fullpath or mapped files. (1.08 KB, patch)
2005-01-10 05:06 EST, Karel Zak
no flags Details | Diff

  None (edit)
Description Joe Orton 2004-12-13 15:35:05 EST
procps-3.2.3-7EL

[root@blane ~]# pmap 2664
2664:   /usr/sbin/httpd
00111000    816K r-x--  /libdb-4.2.so
001dd000      8K rw---  /libdb-4.2.so
...

expected output as per RHEL-3, giving the complete filenames:

[root@piglet root]# pmap 13202
13202: httpd
Start         Size Perm Mapping
00111000       72K r-xp /lib/libnsl-2.3.2.so
00123000        4K rw-p /lib/libnsl-2.3.2.so
00124000        8K rw-p [ anon ]
00126000        8K r-xp /usr/lib/httpd/modules/mod_access.so

/proc/<pid>/maps is still supplying the right information but the new
procps simply isn't using it.
Comment 1 Karel Zak 2004-12-14 03:48:57 EST
It's feature... probably for the compatibility with Solaris.

I think some option that allows to output full path would be nice. I
will ask upstream maintainer -- I'm not sure if we want to maintain
own extension for this.
Comment 2 Karel Zak 2005-01-10 05:06:24 EST
Created attachment 109548 [details]
Add "-a" option that allows users to output fullpath or mapped files.

Please, add this patch to upstream release or at least decide that command line
option will used for this. We need to know it for compatibility with future
releases. Thanks.
Comment 3 Karel Zak 2005-01-10 10:11:42 EST
It's definitely pretty strange that people in CC: cannot edit a RHEL
bug... Who can change this rule?

From: 	Albert Cahalan
To: 	Karel Zak
Subject: 	Re: pmap extension
Date: 	Mon, 10 Jan 2005 09:35:44 -0500  (15:35 CET)

Grrrrr. "You are not permitted to edit bugs in product
Red Hat Enterprise Linux Beta." I'm sick of this.

----- for your bugzilla ------

That option conflicts with what Solaris does. These are taken:

-a Prints anonymous and swap reservations for shared mappings.
-F Force. Grabs the target process even if another process has control.
-r Prints the process's reserved addresses.
-s Prints HAT page size information.
-S option displays swap reservation information per mapping.
-x additional information per mapping.
-l Shows unresolved dynamic linker map names.

Picking a common letter like "-a" is certain to cause troubles.
How about something more unusual, or something commonly used to
display full names?
Comment 4 Joe Orton 2005-01-10 10:17:04 EST
Can't it just print the full filenames by default?  The Solaris 8 pmap
does exactly that:

bash-2.03$ pmap 4689
4689:   bash
00010000    432K read/exec         /usr/bin/bash
0008A000     80K read/write/exec   /usr/bin/bash
0009E000    128K read/write/exec     [ heap ]
FF170000     16K read/exec         /usr/platform/sun4u/lib/libc_psr.so.1
FF180000    664K read/exec         /usr/lib/libc.so.1
Comment 5 Karel Zak 2005-01-10 11:02:19 EST
Good point. The old version 2.0.17 (RHEL3) output full paths too.
Comment 6 Jay Turner 2005-04-05 07:25:30 EDT
Fix confirmed with procps-3.2.3-8.1 which is included in the U1-candidate
composes.  Moving to PROD_READY.
Comment 7 David Lawrence 2005-06-03 10:56:16 EDT
(In reply to comment #3)
> It's definitely pretty strange that people in CC: cannot edit a RHEL
> bug... Who can change this rule?
> 
> From: 	Albert Cahalan
> To: 	Karel Zak
> Subject: 	Re: pmap extension
> Date: 	Mon, 10 Jan 2005 09:35:44 -0500  (15:35 CET)
> 
> Grrrrr. "You are not permitted to edit bugs in product
> Red Hat Enterprise Linux Beta." I'm sick of this.
> 
> ----- for your bugzilla ------
> 
> That option conflicts with what Solaris does. These are taken:
> 
> -a Prints anonymous and swap reservations for shared mappings.
> -F Force. Grabs the target process even if another process has control.
> -r Prints the process's reserved addresses.
> -s Prints HAT page size information.
> -S option displays swap reservation information per mapping.
> -x additional information per mapping.
> -l Shows unresolved dynamic linker map names.
> 
> Picking a common letter like "-a" is certain to cause troubles.
> How about something more unusual, or something commonly used to
> display full names?


First of all the activity log shows that kzak@redhat.com removed Albert from the
cc list on 2005-02-03 07:34 EST, was that intentional? Secondly, just being on
the cc list does not give a person edit privileges to a bug that they do not
own. Everyone can add a comment or add themselves to the cc list of a bug but
that is all they can do unless they are the reporter, assigned to, qa contact,
or in special permission group called 'editbugs'.

Dave
Comment 8 Tim Powers 2005-06-09 08:53:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-160.html

Note You need to log in before you can comment on or make changes to this bug.